From: Raphael Badin <raphael.badin@canonical.com>
Subject: Compatibility fix for WSGIRequest with Django 1.6
 Fixes compatibility with Django 1.6 to return the correct
 data on a WSGIRequest.
Origin: https://bitbucket.org/jespern/django-piston/issue/235/attributeerror-wsgirequest-object-has-no
Bug-Ubuntu: https://launchpad.net/bugs/1256957

--- python-django-piston-0.2.3.orig/piston/utils.py	2013-12-02 13:31:56.000000000 -0500
+++ python-django-piston-0.2.3/piston/utils.py	2013-12-02 13:35:30.358433201 -0500
@@ -269,7 +269,7 @@
             
             if loadee:
                 try:
-                    self.request.data = loadee(self.request.raw_post_data)
+                    self.request.data = loadee(self.request.body)
                         
                     # Reset both POST and PUT from request, as its
                     # misleading having their presence around.
